Package: groovy.grape.maven

## [Groovy] Class MavenGrabRecord

- groovy.grape.maven.MavenGrabRecord

-     @RecordType
      class MavenGrabRecord
      extends Object

  Value object describing a grabbed Maven dependency.

  Parameters:
    `groupId` - the dependency group
    `module` - the dependency module
    `version` - the dependency version
    `conf` - the requested configurations or scopes
    `ext` - the requested extension
    `type` - the requested artifact type
    `classifier` - the requested classifier
    `force` - whether this dependency is forced
    `changing` - whether this dependency may change over time
    `transitive` - whether transitive dependencies should be resolved
  Since:
    6.0.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `changing`
    `String` | `classifier`
    `List<String>` | `conf`
    `String` | `ext`
    `boolean` | `force`
    `String` | `groupId` Value object describing a grabbed Maven dependency.
    `String` | `module`
    `boolean` | `transitive`
    `String` | `type`
    `String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MavenGrabRecord()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### final boolean changing

    - #### final String classifier

    - #### final List<String> conf

    - #### final String ext

    - #### final boolean force

    - #### final String groupId

      Value object describing a grabbed Maven dependency.

      Parameters:
        `groupId` - the dependency group
        `module` - the dependency module
        `version` - the dependency version
        `conf` - the requested configurations or scopes
        `ext` - the requested extension
        `type` - the requested artifact type
        `classifier` - the requested classifier
        `force` - whether this dependency is forced
        `changing` - whether this dependency may change over time
        `transitive` - whether transitive dependencies should be resolved
      Since:
        6.0.0

    - #### final String module

    - #### final boolean transitive

    - #### final String type

    - #### final String version

  - ### Constructor Detail

    - #### MavenGrabRecord()